<template>
  <div>
    <x-header />
    <div class="outer-container">
      <iframe
        id="content"
        :height="windowsHeight"
        :width="iframeWidth"
        :src="src"
      ></iframe>
    </div>
  </div>  
</template>
<script>
export default {
  data() {
    return {
      iframeWidth: "",
      windowsHeight: "",
      src:
        "https://zhuishuyun.oss-cn-hangzhou.aliyuncs.com/qapp/privacy/zsy_privacy.htm"
    };
  },
  methods: {},
  mounted() {
    this.iframeWidth = document.body.scrollWidth;
    this.windowsHeight = window.innerHeight;
    console.log(12);
    console.log(document.querySelector("header>span"));
    if (localStorage.getItem("isUseragreement") == 1) {
      document.querySelector("header>span").innerHTML = "用户协议";
      this.src =
        "http://zhuishuyun.oss-cn-hangzhou.aliyuncs.com/zsy_ios_app/user_privacy/Useragreement.html";
    } else {
      document.querySelector("header>span").innerHTML = "隐私政策";
      this.src =
        "https://zhuishuyun.oss-cn-hangzhou.aliyuncs.com/qapp/privacy/zsy_privacy.htm";
    }
  }
};
</script>
<style lang="scss" scoped>
::-webkit-scrollbar {
  width: 1px;
}
</style>
